#16917 closed Bugs (Fixed)

VideoPlayer.VideoCodec infolabel returns hdmv, should be h264

Reported by: Wimpie Owned by: mkortstiege
Priority: 4 - Normal
Component: Graphical User Interface (GUI) Version: 17.0 "Krypton" Beta2
Severity: Normal Keywords: infolabel addon bluray videocodec
Cc: fritsch, FernetMenta, afedchin Blocked By:
Blocking: Platform: Windows

Description

When I play a bluray video (from iso or bdmv folder), and I do xbmc.getInfoLabel('VideoPlayer.VideoCodec'), then I get (= incorrect):

DEBUG: Test videoplayer.videocodec: VideoPlayer.VideoCodec = hdmv

I ripped this bluray video with makemkv (no transcoding), and then do xbmc.getInfoLabel('VideoPlayer.VideoCodec'), the result is (=correct):

DEBUG: Test videoplayer.videocodec: VideoPlayer.VideoCodec = h264

Typing 'o' while playing the bluray shows ff-h264 as codec (= correct).

I made a small test addon that logs the output to the debug log. Search for "test videoplayer.vide" to see the logging.

Attachments (1)

script.service.test.videoplayer.videocodec.zip (1.8 KB) - added by Wimpie at 2016-09-18T15:28:19+01:00.
Test addon: enable debug logging and enable the testaddon, then check log

Change History (6)

Changed at 2016-09-18T15:28:19+01:00 by Wimpie

Test addon: enable debug logging and enable the testaddon, then check log

comment:1 Changed at 2016-09-18T16:21:55+01:00 by Martijn

  • Cc fritsch FernetMenta afedchin added

comment:2 Changed at 2016-09-28T17:35:21+01:00 by Martijn

  • Component changed from Choose specific component to Graphical User Interface (GUI)
  • Owner set to mkortstiege

comment:3 Changed at 2016-09-29T13:21:43+01:00 by Ace

This is because we query the fourcc for video streams. I can remove it if everyone agrees.

comment:4 Changed at 2016-09-29T14:44:19+01:00 by FernetMenta

Ok with me.

comment:5 Changed at 2016-10-02T19:42:38+01:00 by Martijn

  • Milestone changed from Future / Pending to 17.0 "Krypton"
  • Resolution set to Fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.